Subject: Re: bug#69912: configure tries to find libgccjit when --with-native-compilation=no

From: Gerd Möllmann <[email-masked]>
Date: Wed, 20 Mar 2024 14:39:40 +0100

Andrea Corallo <[email-masked]> writes:

> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>
>> When I compile Emacs for macOS, I disable native-compilation for good:
>>
>> ./configure PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
>>             LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include” \
>>             CC=clang OBJC=clang CFLAGS="-g -O3”
>>             --with-ns --with-modules --with-jansson \
>>             --with-native-compilation=no
>>
>> I keep getting all these messages about GCCJIT:
>>
>> checking for gcc_jit_context_acquire in -lgccjit… no
>> configure: WARNING: Elisp native compiler can't be enabled as libgccjit was not
>> found.
>> Please try installing libgccjit or a similar package if you want to have it
>> enabled.
>> checking for libgccjit.h… no
>> configure: WARNING: Elisp native compiler can't be enabled as libgccjit header files
>> were not found.
>> Please try installing libgccjit-dev or a similar package if you want to have it
>> enabled
>>
>> I really DO NOT want notice compilation here…and I know that I’m doing.
>
> Mmmhh, I might be doing something wrong but I can't reproduce it with
> master on my GNU/Linux system.  Which version of Emacs are you
> compiling?

MacOS 14.4 here, using Homebrew and Emacs master.
I can't reproduce this.